I am back to 14.84. No PNM bug, no CI+ encryption error!